import { keys } from 'idb-keyval'
import '../css/list.css'
import { createSignal, Switch, Match } from 'solid-js'
import { uniqid } from '@/pages/chat/ts/store'
import { useStore } from '@nanostores/solid'

interface Props {

}

export default () => {
    let id: any = ''
    id = useStore(uniqid) as any
    return (
        <Switch>
            <Match when={id()}>
                <div style={{ width: '100%', height: '100%' }} id='iframe'>
                    <iframe src={`/share/?id=${id()}`} style={{ width: '100%', height: '100%' }}></iframe>
                </div>
            </Match>
            <Match when={!id()}>
                <div></div>
            </Match>
        </Switch>
    )
}
